/// <reference types="node" />
import http from 'http';
import { ApolloServer as ApolloServerBase, CorsOptions, ApolloServerExpressConfig } from 'apollo-server-express';
export * from './exports';
export interface ServerInfo {
    address: string;
    family: string;
    url: string;
    subscriptionsUrl: string;
    port: number | string;
    subscriptionsPath: string;
    server: http.Server;
}
export declare class ApolloServer extends ApolloServerBase {
    private httpServer?;
    private cors?;
    constructor(config: ApolloServerExpressConfig & {
        cors?: CorsOptions | boolean;
    });
    private createServerInfo;
    applyMiddleware(): void;
    listen(...opts: Array<any>): Promise<ServerInfo>;
    stop(): Promise<void>;
}
//# sourceMappingURL=index.d.ts.map